ChartDirector Ver 5.0 (PHP Edition)

Box.getTopY

Usage

getTopY()

Description

Gets the top y pixel coordinate of the box.
In some cases, the top y coordinate of a box may be dynamically determined. An example is the top y coordinate of an LegendBox with alignment set to Center. To determine the top y coordinate, the size of the box must be known first. For these cases, the top y coordinate is undefined until the legend box or the entire chart has been laid out (using BaseChart.layout or BaseChart.layoutLegend), or the chart image has been drawn (eg. using BaseChart.makeChart, BaseChart.makeChart2 or BaseChart.makeSession).

Arguments

None

Return Value

The top y pixel coordinate of the box.

© 2009 Advanced Software Engineering Limited. All rights reserved.